mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object Abtract base class for all implementations of cryptographic-quality random number generators (RNG).

The following example use the default random number generator (RNG) defined on the current computer to generate random data.

`byte[] buffer = new byte [16]; RandomNumberGenerator rng = RandomNumberGenerator.Create (); rng.GetBytes (buffer);`

All symmetric keys and initialization vectors (IV) are generated using the default RNG. Asymmetric key pairs also use the default RNG to create big integers.

- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.Cryptography.RandomNumberGenerator Create an instance of the default random number generation implementation. To be added: an object of type 'RandomNumberGenerator' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.RandomNumberGenerator `` To be added: an object of type 'string' Create an instance of the specified random number generator implementation. To be added: an object of type 'RandomNumberGenerator' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The buffer to be filled with random bytes. Fill the supplied buffer with random bytes. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The buffer to be filled with random bytes. Fill the supplied buffer with random bytes excluding zeros (0x00). Some cryptographic functions requires random that do not contain zeros. However this restriction do not apply to most application code so this method shouldn't be used. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)